=== modified file 'Makefile'
--- Makefile	2010-10-07 18:42:26 +0000
+++ Makefile	2010-10-02 17:23:41 +0000
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.2.2
+version=1.2.1
 SED=sed
 
 ## Use these settings for a traditional /usr/local install

=== modified file 'NEWS'
--- NEWS	2010-10-07 18:42:26 +0000
+++ NEWS	2010-10-02 17:23:41 +0000
@@ -1,10 +1,6 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
-Version 1.2.2 (2010-10-07)
-* Client:
-** splashy: Minor fix to compile with non-Linux kernels.
-
 Version 1.2.1 (2010-10-02)
 * Server:
 ** mandos-monitor(8): Documentation bug fix: Key for removing client

=== modified file 'common.ent'
--- common.ent	2010-10-07 18:42:26 +0000
+++ common.ent	2010-10-02 17:23:41 +0000
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Edited by Makefile -->
-<!ENTITY version "1.2.2">
+<!ENTITY version "1.2.1">

=== modified file 'debian/changelog'
--- debian/changelog	2010-10-07 18:42:26 +0000
+++ debian/changelog	2010-10-02 17:53:34 +0000
@@ -1,16 +1,3 @@
-mandos (1.2.2-1) experimental; urgency=low
-
-  * New upstream release.
-  * plugins.d/splashy.c: Only use ELIBBAD if defined. (Closes: #599256)
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 07 Oct 2010 20:27:54 +0200
-
-mandos (1.2.1-3) experimental; urgency=low
-
-  * debian/changelog: Include entry for NMU of version 1.0.14-1.1.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 05 Oct 2010 20:58:38 +0200
-
 mandos (1.2.1-2) unstable; urgency=low
 
   * debian/source/format: New; contains "3.0 (quilt)".  Really.
@@ -43,13 +30,6 @@
 
  -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 28 Sep 2010 20:46:11 +0200
 
-mandos (1.0.14-1.1) unstable; urgency=low
-
-  * Non-maintainer upload.
-  * Rebuild against libavahi-core-dev (>= 0.6.26-1).
-
- -- Michael Biebl <biebl@debian.org>  Mon, 12 Jul 2010 16:34:34 +0200
-
 mandos (1.0.14-1) unstable; urgency=low (HIGH on mips and mipsel)
 
   * New upstream release.

=== modified file 'mandos'
--- mandos	2010-10-08 18:00:11 +0000
+++ mandos	2010-10-02 17:23:41 +0000
@@ -81,7 +81,7 @@
         SO_BINDTODEVICE = None
 
 
-version = "1.2.2"
+version = "1.2.1"
 
 #logger = logging.getLogger(u'mandos')
 logger = logging.Logger(u'mandos')
@@ -1847,10 +1847,6 @@
         # No console logging
         logger.removeHandler(console)
     
-    # Need to fork before connecting to D-Bus
-    if not debug:
-        # Close all input and output, do double fork, etc.
-        daemon()
     
     global main_loop
     # From the Avahi example code
@@ -1874,7 +1870,11 @@
     if server_settings["interface"]:
         service.interface = (if_nametoindex
                              (str(server_settings[u"interface"])))
-    
+
+    if not debug:
+        # Close all input and output, do double fork, etc.
+        daemon()
+        
     global multiprocessing_manager
     multiprocessing_manager = multiprocessing.Manager()
     

=== modified file 'mandos-ctl'
--- mandos-ctl	2010-10-07 18:42:26 +0000
+++ mandos-ctl	2010-10-02 17:23:41 +0000
@@ -57,7 +57,7 @@
 server_path = '/'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.2"
+version = "1.2.1"
 
 def timedelta_to_milliseconds(td):
     "Convert a datetime.timedelta object to milliseconds"

=== modified file 'mandos-keygen'
--- mandos-keygen	2010-10-07 18:42:26 +0000
+++ mandos-keygen	2010-10-02 17:23:41 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.2.2"
+VERSION="1.2.1"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos-monitor'
--- mandos-monitor	2010-10-07 18:42:26 +0000
+++ mandos-monitor	2010-10-02 17:23:41 +0000
@@ -51,7 +51,7 @@
 domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.2"
+version = "1.2.1"
 
 # Always run in monochrome mode
 urwid.curses_display.curses.has_colors = lambda : False

=== modified file 'mandos.lsm'
--- mandos.lsm	2010-10-07 18:42:26 +0000
+++ mandos.lsm	2010-10-02 17:23:41 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.2.2
-Entered-date:	2010-10-07
+Version:	1.2.1
+Entered-date:	2010-10-02
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      133K mandos_1.2.2.orig.tar.gz
+	      130K mandos_1.2.1.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		133K mandos_1.2.2.orig.tar.gz
+		130K mandos_1.2.1.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.5, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2010-10-07 17:46:56 +0000
+++ plugins.d/splashy.c	2010-09-26 18:32:58 +0000
@@ -314,9 +314,7 @@
       case ENOTDIR:
       case ELOOP:
       case EISDIR:
-#ifdef ELIBBAD
-      case ELIBBAD:		/* Linux only */
-#endif
+      case ELIBBAD:
       case EPERM:
 	_exit(EX_OSFILE);
       }

